<?php
/**
 * Шаблон редактирования точки на карте Яндекс.Карты
 * 
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    6.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2016 OOO «Диафан» (http://www.diafan.ru/) 
 */

if (! defined('DIAFAN'))
{
	$path = __FILE__; $i = 0;
	while(! file_exists($path.'/includes/404.php'))
	{
		if($i == 10) exit; $i++;
		$path = dirname($path);
	}
	include $path.'/includes/404.php';
}

$center = '55.76, 37.64';
if($result["point"])
{
	$center = $result["point"];
}
elseif(! empty($result["config"]["yandex_center"]))
{
	$center = $result["config"]["yandex_center"];
}

if(! isset($GLOBALS['include_geomap_yandex']))
{
	echo '<script src="//api-maps.yandex.ru/2.1/?lang=ru_RU" type="text/javascript"></script>';
	$GLOBALS['include_geomap_yandex'] = true;
}

echo '<div id="geomap_yandex_map_add" style="width: 100%; height: 400px;"></div>
<a href="#" onclick="document.getElementById(\'geomap_yandex_point\').value = \'\';if(marker_yandex) marker_yandex.options.set(\'visible\', false);return false">
<i class="fa fa-close"></i></a> '.$this->diafan->_('Удалить точку').'

<input type="hidden" name="geomap_point" value="'.$result["point"].'" id="geomap_yandex_point">';

echo '<script type="text/javascript">
	var map_yandex, marker_yandex;
	ymaps.ready(function(){
		map_yandex = new ymaps.Map("geomap_yandex_map_add", {
		    center: ['.$center.'], 
		    zoom: '.(! empty($result["config"]["yandex_zoom"]) ? $result["config"]["yandex_zoom"] : 13).',
			controls: []
		});
		var searchControl = new ymaps.control.SearchControl();
		map_yandex.controls.add(searchControl);
		marker_yandex = new ymaps.GeoObject({
			// Описание геометрии.
			geometry: {
			    type: "Point",
			    coordinates: ['.$center.']
			},
		}, {
			draggable: true
		});
		marker_yandex.events.add("dragend", function (e) {
			var coords = e.get("target").geometry.getCoordinates();
			document.getElementById("geomap_yandex_point").value = coords.join(", ");
		});
		map_yandex.events.add("click", function (e) {
			var coords = e.get("coords");
			marker_yandex.geometry.setCoordinates(coords);
			marker_yandex.options.set("visible", true)
			document.getElementById("geomap_yandex_point").value = coords.join(", ");
		});
		map_yandex.geoObjects.add(marker_yandex);
		searchControl.events.add("resultselect", function (e) {
			var results = searchControl.getResultsArray(),
			selected = e.get("index"),
			point = results[selected].geometry.getCoordinates();
			marker_yandex.geometry.setCoordinates(point);
			document.getElementById("geomap_yandex_point").value = point.join(", ");
			searchControl.hideResult();
		});
	});
</script>';